summaryrefslogtreecommitdiffstats
path: root/development/yabasic
diff options
context:
space:
mode:
Diffstat (limited to 'development/yabasic')
-rw-r--r--development/yabasic/README11
-rw-r--r--development/yabasic/doinst.sh13
-rw-r--r--development/yabasic/slack-desc19
-rw-r--r--development/yabasic/yabasic.SlackBuild103
-rw-r--r--development/yabasic/yabasic.desktop9
-rw-r--r--development/yabasic/yabasic.info10
-rw-r--r--development/yabasic/yabasic.pngbin0 -> 19996 bytes
7 files changed, 165 insertions, 0 deletions
diff --git a/development/yabasic/README b/development/yabasic/README
new file mode 100644
index 0000000000..43ba689b7b
--- /dev/null
+++ b/development/yabasic/README
@@ -0,0 +1,11 @@
+yabasic is a traditional basic interpreter. It understands most of
+the typical basic-constructs, like goto, gosub, line numbers, read,
+data or string-variables with a trailing '$'. But on the other hand,
+yabasic implements some more advanced programming-constructs like
+subroutines or libraries (but not objects). yabasic works much the
+same under Unix and Windows.
+
+yabasic puts emphasis on giving results quickly and easily;
+therefore simple commands are provided to open a graphic window,
+print the graphics or control the console screen and get
+keyboard or mouse information.
diff --git a/development/yabasic/doinst.sh b/development/yabasic/doinst.sh
new file mode 100644
index 0000000000..aea0f894eb
--- /dev/null
+++ b/development/yabasic/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/development/yabasic/slack-desc b/development/yabasic/slack-desc
new file mode 100644
index 0000000000..6feacee5a2
--- /dev/null
+++ b/development/yabasic/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+yabasic: yabasic (basic-interpreter)
+yabasic:
+yabasic: Yabasic is a traditional basic-interpreter. It comes with goto and
+yabasic: various loops and allows to define subroutines and libraries.
+yabasic: It does simple graphics and printing. Yabasic can call out to
+yabasic: libraries written in C and allows to create standalone programs.
+yabasic: Yabasic runs under Unix and Windows and has a comprehensive
+yabasic: documentation; it is small, simple, open-source and free.
+yabasic:
+yabasic: Yabasic is very well documented.
+yabasic:
diff --git a/development/yabasic/yabasic.SlackBuild b/development/yabasic/yabasic.SlackBuild
new file mode 100644
index 0000000000..3376a7beb8
--- /dev/null
+++ b/development/yabasic/yabasic.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/bash
+
+# Slackware build script for yabasic
+
+# Copyright 2023 Antonio Leal, Porto Salvo, Oeiras, Portugal
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=yabasic
+VERSION=${VERSION:-2.90.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvfz $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./configure
+make
+make check
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/bin $PKG/usr/share/pixmaps $PKG/usr/share/applications $PKG/usr/man/man1
+mv $PKG/usr/local/bin/yabasic $PKG/usr/bin
+cat $PKG/usr/local/share/man/man1/yabasic.1 | gzip -c -f > $PKG/usr/man/man1/yabasic.1.gz
+rm -rf $PKG/usr/local
+cp $CWD/yabasic.desktop $PKG/usr/share/applications
+cp $CWD/yabasic.png $PKG/usr/share/pixmaps
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cp yabasic.htm $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/yabasic/yabasic.desktop b/development/yabasic/yabasic.desktop
new file mode 100644
index 0000000000..d76280099a
--- /dev/null
+++ b/development/yabasic/yabasic.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=Yabasic
+GenericName=Yabasic
+Exec=yabasic
+Icon=yabasic.png
+Terminal=true
+Type=Application
+Categories=Development
+StartupNotify=false
diff --git a/development/yabasic/yabasic.info b/development/yabasic/yabasic.info
new file mode 100644
index 0000000000..403a1bb6fc
--- /dev/null
+++ b/development/yabasic/yabasic.info
@@ -0,0 +1,10 @@
+PRGNAM="yabasic"
+VERSION="2.90.4"
+HOMEPAGE="http://2484.de/yabasic/"
+DOWNLOAD="http://2484.de/yabasic/download/yabasic-2.90.4.tar.gz"
+MD5SUM="c7bef6160a4f4140d0edced4e9e30ffc"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Antonio Leal"
+EMAIL="antonioleal@yahoo.com"
diff --git a/development/yabasic/yabasic.png b/development/yabasic/yabasic.png
new file mode 100644
index 0000000000..1e108b7a47
--- /dev/null
+++ b/development/yabasic/yabasic.png
Binary files differ